Bug 81012 - New port: lang/sketchy - an interpreter for symbolic Scheme
Summary: New port: lang/sketchy - an interpreter for symbolic Scheme
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jean-Yves Lefort
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-14 13:50 UTC by Nils M Holm
Modified: 2005-05-16 22:48 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nils M Holm 2005-05-14 13:50:01 UTC
SketchyLISP is a small, tail-recursive, lexically scoped
interpreter for purely symbolic dialect of LISP that smells
like Scheme. It may be considered an implementation of pure
LISP plus DEFINE and CALL/CC.

Fix: 

-- 
Nils M Holm <nmh@t3x.org>               http://www.holm-und-jeschag.de/nils/
Symbolic Computing - an Introduction to Pure LISP: http://www.t3x.org/scipl/--YkebZB1WGmW4brBCovTTbgAxui0IT4nUjYlNQvcN2n8Vm47I
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	sketchy
#	sketchy/Makefile
#	sketchy/distinfo
#	sketchy/pkg-descr
#	sketchy/pkg-plist
#
echo c - sketchy
mkdir -p sketchy > /dev/null 2>&1
echo x - sketchy/Makefile
sed 's/^X//' >sketchy/Makefile << 'END-of-sketchy/Makefile'
X# New ports collection makefile for:	SketchyLISP
X# Date created:				12 May 2005
X# Whom:					Nils M Holm <nmh@t3x.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	sketchy
XPORTVERSION=	20050512
XCATEGORIES=	lang devel #lisp
XMASTER_SITES=	http://www.t3x.org/sketchy/
X
XMAINTAINER=	nmh@t3x.org
XCOMMENT=	An interpreter for purely symbolic LISP that smells like Scheme
X
XBUILD_DEPENDS=	tx:${PORTSDIR}/lang/t3x
X
XMAN7=		sketchy.7
XMANCOMPRESSED=	no
X
XMAKE_ENV+=	T3XDIR=${LOCALBASE}/t3x/r8 \
X		BINOWN=${BINOWN} \
X		BINGRP=${BINGRP} \
X		PREFIX=${PREFIX}
X
X.include <bsd.port.mk>
END-of-sketchy/Makefile
echo x - sketchy/distinfo
sed 's/^X//' >sketchy/distinfo << 'END-of-sketchy/distinfo'
XMD5 (sketchy-20050512.tar.gz) = f15834fb57011ca04510001b1dc5936c
END-of-sketchy/distinfo
echo x - sketchy/pkg-descr
sed 's/^X//' >sketchy/pkg-descr << 'END-of-sketchy/pkg-descr'
XSketchyLISP is a small, tail-recursive, lexically scoped
Xinterpreter for purely symbolic dialect of LISP that
Xsmells like Scheme. It may be considered an implementation
Xof pure LISP plus DEFINE and CALL/CC.
X
XThis package contains the SketchyLISP interpreter and library,
Xthe reference manual, and example programs.
X
XWWW: http://www.t3x.org/sketchy/
X
X- Nils M Holm <nmh@t3x.org>
END-of-sketchy/pkg-descr
echo x - sketchy/pkg-plist
sed 's/^X//' >sketchy/pkg-plist << 'END-of-sketchy/pkg-plist'
Xbin/Sk
Xbin/sketchy
Xbin/sk_install
X%%DATADIR%%/lib/abs.l
X%%DATADIR%%/lib/anyp.l
X%%DATADIR%%/lib/append.l
X%%DATADIR%%/lib/assoc.l
X%%DATADIR%%/lib/assq.l
X%%DATADIR%%/lib/booleanp.l
X%%DATADIR%%/lib/caaaar.l
X%%DATADIR%%/lib/caaar.l
X%%DATADIR%%/lib/caar.l
X%%DATADIR%%/lib/count.l
X%%DATADIR%%/lib/depth.l
X%%DATADIR%%/lib/digits.l
X%%DATADIR%%/lib/divide.l
X%%DATADIR%%/lib/equal.l
X%%DATADIR%%/lib/equalp.l
X%%DATADIR%%/lib/evenp.l
X%%DATADIR%%/lib/everyp.l
X%%DATADIR%%/lib/expt.l
X%%DATADIR%%/lib/fact.l
X%%DATADIR%%/lib/filter.l
X%%DATADIR%%/lib/gcd.l
X%%DATADIR%%/lib/greater.l
X%%DATADIR%%/lib/gteq.l
X%%DATADIR%%/lib/headp.l
X%%DATADIR%%/lib/hyper.l
X%%DATADIR%%/lib/id.l
X%%DATADIR%%/lib/insert.l
X%%DATADIR%%/lib/iota.l
X%%DATADIR%%/lib/integer.l
X%%DATADIR%%/lib/intersection.l
X%%DATADIR%%/lib/isort.l
X%%DATADIR%%/lib/last.l
X%%DATADIR%%/lib/lcm.l
X%%DATADIR%%/lib/length.l
X%%DATADIR%%/lib/less.l
X%%DATADIR%%/lib/list-ref.l
X%%DATADIR%%/lib/list-tail.l
X%%DATADIR%%/lib/listp.l
X%%DATADIR%%/lib/logand.l
X%%DATADIR%%/lib/logeqv.l
X%%DATADIR%%/lib/lognand.l
X%%DATADIR%%/lib/logneqv.l
X%%DATADIR%%/lib/lognor.l
X%%DATADIR%%/lib/lognot.l
X%%DATADIR%%/lib/logor.l
X%%DATADIR%%/lib/lteq.l
X%%DATADIR%%/lib/map.l
X%%DATADIR%%/lib/maplist.l
X%%DATADIR%%/lib/max-list.l
X%%DATADIR%%/lib/member.l
X%%DATADIR%%/lib/memberp.l
X%%DATADIR%%/lib/memq.l
X%%DATADIR%%/lib/memqp.l
X%%DATADIR%%/lib/min-list.l
X%%DATADIR%%/lib/minus.l
X%%DATADIR%%/lib/modulo.l
X%%DATADIR%%/lib/natural.l
X%%DATADIR%%/lib/naturalp.l
X%%DATADIR%%/lib/ndivide.l
X%%DATADIR%%/lib/negativep.l
X%%DATADIR%%/lib/neqp.l
X%%DATADIR%%/lib/nexpt.l
X%%DATADIR%%/lib/ngreater.l
X%%DATADIR%%/lib/ngteq.l
X%%DATADIR%%/lib/nless.l
X%%DATADIR%%/lib/nlteq.l
X%%DATADIR%%/lib/nminus.l
X%%DATADIR%%/lib/normalize.l
X%%DATADIR%%/lib/not-equalp.l
X%%DATADIR%%/lib/not.l
X%%DATADIR%%/lib/nplus.l
X%%DATADIR%%/lib/nquotient.l
X%%DATADIR%%/lib/nremainder.l
X%%DATADIR%%/lib/ntimes.l
X%%DATADIR%%/lib/numberp.l
X%%DATADIR%%/lib/oddp.l
X%%DATADIR%%/lib/onep.l
X%%DATADIR%%/lib/orderedp.l
X%%DATADIR%%/lib/pair.l
X%%DATADIR%%/lib/permute.l
X%%DATADIR%%/lib/plus.l
X%%DATADIR%%/lib/positivep.l
X%%DATADIR%%/lib/pred.l
X%%DATADIR%%/lib/procedurep.l
X%%DATADIR%%/lib/product.l
X%%DATADIR%%/lib/quicksort.l
X%%DATADIR%%/lib/quotient.l
X%%DATADIR%%/lib/reduce.l
X%%DATADIR%%/lib/remainder.l
X%%DATADIR%%/lib/remove.l
X%%DATADIR%%/lib/reverse.l
X%%DATADIR%%/lib/sketchy-ext.l
X%%DATADIR%%/lib/sketchy.l
X%%DATADIR%%/lib/some.l
X%%DATADIR%%/lib/sort.l
X%%DATADIR%%/lib/sqrt.l
X%%DATADIR%%/lib/sublis.l
X%%DATADIR%%/lib/subst.l
X%%DATADIR%%/lib/succ.l
X%%DATADIR%%/lib/sum.l
X%%DATADIR%%/lib/symbolp.l
X%%DATADIR%%/lib/tailp.l
X%%DATADIR%%/lib/times.l
X%%DATADIR%%/lib/union.l
X%%DATADIR%%/lib/unique.l
X%%DATADIR%%/lib/unsort.l
X%%DATADIR%%/lib/zerop.l
X%%DATADIR%%/src/bottles.l
X%%DATADIR%%/src/bubblesort.l
X%%DATADIR%%/src/date.l
X%%DATADIR%%/src/evaluate.l
X%%DATADIR%%/src/hanoi.l
X%%DATADIR%%/src/infix.l
X%%DATADIR%%/src/lvrename.l
X%%DATADIR%%/src/mexpr-append.m
X%%DATADIR%%/src/mexpr-fac.m
X%%DATADIR%%/src/mexpr-hanoi.m
X%%DATADIR%%/src/mexpr-queens.m
X%%DATADIR%%/src/mexprc.l
X%%DATADIR%%/src/prefix.l
X%%DATADIR%%/src/prolog.l
X%%DATADIR%%/src/queens.l
X%%DATADIR%%/src/tree.l
X%%DATADIR%%/src/unlabel.l
X%%DATADIR%%/src/xeval.l
X%%DATADIR%%/sketchy.image
X%%DATADIR%%/LICENSE
X%%PORTDOCS%%%%DOCSDIR%%/library/abs.html
X%%PORTDOCS%%%%DOCSDIR%%/library/anyp.html
X%%PORTDOCS%%%%DOCSDIR%%/library/append.html
X%%PORTDOCS%%%%DOCSDIR%%/library/assoc.html
X%%PORTDOCS%%%%DOCSDIR%%/library/assq.html
X%%PORTDOCS%%%%DOCSDIR%%/library/booleanp.html
X%%PORTDOCS%%%%DOCSDIR%%/library/caaaar.html
X%%PORTDOCS%%%%DOCSDIR%%/library/caaar.html
X%%PORTDOCS%%%%DOCSDIR%%/library/caar.html
X%%PORTDOCS%%%%DOCSDIR%%/library/count.html
X%%PORTDOCS%%%%DOCSDIR%%/library/depth.html
X%%PORTDOCS%%%%DOCSDIR%%/library/digits.html
X%%PORTDOCS%%%%DOCSDIR%%/library/divide.html
X%%PORTDOCS%%%%DOCSDIR%%/library/equal.html
X%%PORTDOCS%%%%DOCSDIR%%/library/equalp.html
X%%PORTDOCS%%%%DOCSDIR%%/library/evenp.html
X%%PORTDOCS%%%%DOCSDIR%%/library/everyp.html
X%%PORTDOCS%%%%DOCSDIR%%/library/expt.html
X%%PORTDOCS%%%%DOCSDIR%%/library/fact.html
X%%PORTDOCS%%%%DOCSDIR%%/library/filter.html
X%%PORTDOCS%%%%DOCSDIR%%/library/gcd.html
X%%PORTDOCS%%%%DOCSDIR%%/library/greater.html
X%%PORTDOCS%%%%DOCSDIR%%/library/gteq.html
X%%PORTDOCS%%%%DOCSDIR%%/library/headp.html
X%%PORTDOCS%%%%DOCSDIR%%/library/hyper.html
X%%PORTDOCS%%%%DOCSDIR%%/library/id.html
X%%PORTDOCS%%%%DOCSDIR%%/library/index.html
X%%PORTDOCS%%%%DOCSDIR%%/library/insert.html
X%%PORTDOCS%%%%DOCSDIR%%/library/integer.html
X%%PORTDOCS%%%%DOCSDIR%%/library/intersection.html
X%%PORTDOCS%%%%DOCSDIR%%/library/iota.html
X%%PORTDOCS%%%%DOCSDIR%%/library/isort.html
X%%PORTDOCS%%%%DOCSDIR%%/library/last.html
X%%PORTDOCS%%%%DOCSDIR%%/library/lcm.html
X%%PORTDOCS%%%%DOCSDIR%%/library/length.html
X%%PORTDOCS%%%%DOCSDIR%%/library/less.html
X%%PORTDOCS%%%%DOCSDIR%%/library/list-ref.html
X%%PORTDOCS%%%%DOCSDIR%%/library/list-tail.html
X%%PORTDOCS%%%%DOCSDIR%%/library/listp.html
X%%PORTDOCS%%%%DOCSDIR%%/library/logand.html
X%%PORTDOCS%%%%DOCSDIR%%/library/logeqv.html
X%%PORTDOCS%%%%DOCSDIR%%/library/lognand.html
X%%PORTDOCS%%%%DOCSDIR%%/library/logneqv.html
X%%PORTDOCS%%%%DOCSDIR%%/library/lognor.html
X%%PORTDOCS%%%%DOCSDIR%%/library/lognot.html
X%%PORTDOCS%%%%DOCSDIR%%/library/logor.html
X%%PORTDOCS%%%%DOCSDIR%%/library/lteq.html
X%%PORTDOCS%%%%DOCSDIR%%/library/map.html
X%%PORTDOCS%%%%DOCSDIR%%/library/maplist.html
X%%PORTDOCS%%%%DOCSDIR%%/library/max-list.html
X%%PORTDOCS%%%%DOCSDIR%%/library/member.html
X%%PORTDOCS%%%%DOCSDIR%%/library/memberp.html
X%%PORTDOCS%%%%DOCSDIR%%/library/memq.html
X%%PORTDOCS%%%%DOCSDIR%%/library/memqp.html
X%%PORTDOCS%%%%DOCSDIR%%/library/min-list.html
X%%PORTDOCS%%%%DOCSDIR%%/library/minus.html
X%%PORTDOCS%%%%DOCSDIR%%/library/modulo.html
X%%PORTDOCS%%%%DOCSDIR%%/library/natural.html
X%%PORTDOCS%%%%DOCSDIR%%/library/naturalp.html
X%%PORTDOCS%%%%DOCSDIR%%/library/ndivide.html
X%%PORTDOCS%%%%DOCSDIR%%/library/negativep.html
X%%PORTDOCS%%%%DOCSDIR%%/library/neqp.html
X%%PORTDOCS%%%%DOCSDIR%%/library/nexpt.html
X%%PORTDOCS%%%%DOCSDIR%%/library/ngreater.html
X%%PORTDOCS%%%%DOCSDIR%%/library/ngteq.html
X%%PORTDOCS%%%%DOCSDIR%%/library/nless.html
X%%PORTDOCS%%%%DOCSDIR%%/library/nlteq.html
X%%PORTDOCS%%%%DOCSDIR%%/library/nminus.html
X%%PORTDOCS%%%%DOCSDIR%%/library/normalize.html
X%%PORTDOCS%%%%DOCSDIR%%/library/not-equalp.html
X%%PORTDOCS%%%%DOCSDIR%%/library/not.html
X%%PORTDOCS%%%%DOCSDIR%%/library/nplus.html
X%%PORTDOCS%%%%DOCSDIR%%/library/nquotient.html
X%%PORTDOCS%%%%DOCSDIR%%/library/nremainder.html
X%%PORTDOCS%%%%DOCSDIR%%/library/ntimes.html
X%%PORTDOCS%%%%DOCSDIR%%/library/numberp.html
X%%PORTDOCS%%%%DOCSDIR%%/library/oddp.html
X%%PORTDOCS%%%%DOCSDIR%%/library/onep.html
X%%PORTDOCS%%%%DOCSDIR%%/library/orderedp.html
X%%PORTDOCS%%%%DOCSDIR%%/library/pair.html
X%%PORTDOCS%%%%DOCSDIR%%/library/permute.html
X%%PORTDOCS%%%%DOCSDIR%%/library/plus.html
X%%PORTDOCS%%%%DOCSDIR%%/library/positivep.html
X%%PORTDOCS%%%%DOCSDIR%%/library/pred.html
X%%PORTDOCS%%%%DOCSDIR%%/library/procedurep.html
X%%PORTDOCS%%%%DOCSDIR%%/library/product.html
X%%PORTDOCS%%%%DOCSDIR%%/library/quicksort.html
X%%PORTDOCS%%%%DOCSDIR%%/library/quotient.html
X%%PORTDOCS%%%%DOCSDIR%%/library/reduce.html
X%%PORTDOCS%%%%DOCSDIR%%/library/remainder.html
X%%PORTDOCS%%%%DOCSDIR%%/library/remove.html
X%%PORTDOCS%%%%DOCSDIR%%/library/reverse.html
X%%PORTDOCS%%%%DOCSDIR%%/library/sketchy-ext.html
X%%PORTDOCS%%%%DOCSDIR%%/library/sketchy.html
X%%PORTDOCS%%%%DOCSDIR%%/library/some.html
X%%PORTDOCS%%%%DOCSDIR%%/library/sort.html
X%%PORTDOCS%%%%DOCSDIR%%/library/sqrt.html
X%%PORTDOCS%%%%DOCSDIR%%/library/sublis.html
X%%PORTDOCS%%%%DOCSDIR%%/library/subst.html
X%%PORTDOCS%%%%DOCSDIR%%/library/succ.html
X%%PORTDOCS%%%%DOCSDIR%%/library/sum.html
X%%PORTDOCS%%%%DOCSDIR%%/library/symbolp.html
X%%PORTDOCS%%%%DOCSDIR%%/library/tailp.html
X%%PORTDOCS%%%%DOCSDIR%%/library/times.html
X%%PORTDOCS%%%%DOCSDIR%%/library/union.html
X%%PORTDOCS%%%%DOCSDIR%%/library/unique.html
X%%PORTDOCS%%%%DOCSDIR%%/library/unsort.html
X%%PORTDOCS%%%%DOCSDIR%%/library/zerop.html
X%%PORTDOCS%%%%DOCSDIR%%/index.html
X%%PORTDOCS%%%%DOCSDIR%%/sketchy1.html
X%%PORTDOCS%%%%DOCSDIR%%/sketchy10.html
X%%PORTDOCS%%%%DOCSDIR%%/sketchy2.html
X%%PORTDOCS%%%%DOCSDIR%%/sketchy3.html
X%%PORTDOCS%%%%DOCSDIR%%/sketchy4.html
X%%PORTDOCS%%%%DOCSDIR%%/sketchy5.html
X%%PORTDOCS%%%%DOCSDIR%%/sketchy6.html
X%%PORTDOCS%%%%DOCSDIR%%/sketchy7.html
X%%PORTDOCS%%%%DOCSDIR%%/sketchy8.html
X%%PORTDOCS%%%%DOCSDIR%%/sketchy9.html
X%%PORTDOCS%%%%DOCSDIR%%/sketchy.css
X@dirrm %%DATADIR%%/lib
X@dirrm %%DATADIR%%/src
X@dirrm %%DATADIR%%
X%%PORTDOCS%%@dirrm %%DOCSDIR%%/library
X%%PORTDOCS%%@dirrm %%DOCSDIR%%
END-of-sketchy/pkg-plist
exit
Comment 1 Jean-Yves Lefort freebsd_committer 2005-05-14 14:57:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jylefort

Take.
Comment 2 Jean-Yves Lefort freebsd_committer 2005-05-16 22:48:30 UTC
State Changed
From-To: open->closed

Committed with a few modifications, thanks!